Update virtual-env requires and documentation

Document the necessitity to keep tools/*-requires up to date and add
missing dependency.

Signed-off-by: Jeff Peeler <jpeeler@redhat.com>
changes/40/40/1
Jeff Peeler 11 years ago
parent ed92ae3471
commit 53446bb36e
  1. 1
      heat/db/sqlalchemy/session.py
  2. 4
      heat/tests/testing-overview.txt
  3. 2
      tools/pip-requires
  4. 3
      tools/test-requires

@ -18,7 +18,6 @@ import sqlalchemy.interfaces
import sqlalchemy.orm
from sqlalchemy.exc import DisconnectionError
import nova.exception
from heat.openstack.common import cfg
from heat.db import api as db_api

@ -99,6 +99,10 @@ include the tag attribute with at least these values: <test type>,
either slow, normal, or fast. Following this convention allows for finer
granular testing without having to find the specific tests to run.
If new dependencies are introduced upon the development of a test, the
tools/test-requires file needs to be updated so that the virtual
environment will be able to successfully execute all tests.
Running the tests
-----------------

@ -1,3 +1,5 @@
# this file lists all the dependencies needed for running heat
# The greenlet package must be compiled with gcc and needs
# the Python.h headers. Make sure you install the python-dev
# package to get the right headers...

@ -1,4 +1,4 @@
# Packages needed for dev testing
# this file lists dependencies required for the testing of heat
distribute>=0.6.24
coverage
@ -6,3 +6,4 @@ nose
nosexcover
openstack.nose_plugin
pep8==0.6.1
python-mox

Loading…
Cancel
Save